CitrixLicensePool (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.citrix.CitrixLicensePool interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.citrix
Interface CitrixLicensePool

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, Version

    public interface CitrixLicensePool

extends LogicalElement, Version

Naming Rules:
  0="hostID,PLD"
Persistable:
  true
Table Name:
  CTXLICPOOL
Display Name:
  PLDFullName

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`int` | `getCount()`
`int` | `getDupGroup()`
`CitrixFarm` | `getFarm()`
`boolean` | `getFloatOk()`
`int` | `getHostBased()`
`java.lang.String` | `getHostID()`
`int` | `getInUseCount()`
`CitrixLicense[]` | `getLicenses()`
`java.lang.String` | `getLicenseType()`
`int` | `getOverdraft()`
`java.lang.String` | `getPlatforms()`
`java.lang.String` | `getPLD()`
`java.lang.String` | `getPLDFullName()`
`int` | `getPooledAvailable()`
`int` | `getUserBased()`
`java.lang.String` | `getVendorString()`
`boolean` | `hasCount()`
`boolean` | `hasDupGroup()`
`boolean` | `hasFarm()`
`boolean` | `hasFloatOk()`
`boolean` | `hasHostBased()`
`boolean` | `hasHostID()`
`boolean` | `hasInUseCount()`
`boolean` | `hasLicenses()`
`boolean` | `hasLicenseType()`
`boolean` | `hasOverdraft()`
`boolean` | `hasPlatforms()`
`boolean` | `hasPLD()`
`boolean` | `hasPLDFullName()`
`boolean` | `hasPooledAvailable()`
`boolean` | `hasUserBased()`
`boolean` | `hasVendorString()`
`void` | `setCount(int x)`
`void` | `setDupGroup(int x)`
`void` | `setFarm(CitrixFarm x)`
`void` | `setFloatOk(boolean x)`
`void` | `setHostBased(int x)`
`void` | `setHostID(java.lang.String x)`
`void` | `setInUseCount(int x)`
`void` | `setLicenses(CitrixLicense[] x)`
`void` | `setLicenseType(java.lang.String x)`
`void` | `setOverdraft(int x)`
`void` | `setPlatforms(java.lang.String x)`
`void` | `setPLD(java.lang.String x)`
`void` | `setPLDFullName(java.lang.String x)`
`void` | `setPooledAvailable(int x)`
`void` | `setUserBased(int x)`
`void` | `setVendorString(java.lang.String x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.core.Version
`getBuildLevel, getLevel, getMajorVersion, getModifier, getRelease, getVersionString, hasBuildLevel, hasLevel, hasMajorVersion, hasModifier, hasRelease, hasVersionString, setBuildLevel, setLevel, setMajorVersion, setModifier, setRelease, setVersionString`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getOverdraft

    int getOverdraft()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setOverdraft

    void setOverdraft(int x)

### hasOverdraft

    boolean hasOverdraft()

### getVendorString

    java.lang.String getVendorString()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setVendorString

    void setVendorString(java.lang.String x)

### hasVendorString

    boolean hasVendorString()

### getPooledAvailable

    int getPooledAvailable()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPooledAvailable

    void setPooledAvailable(int x)

### hasPooledAvailable

    boolean hasPooledAvailable()

### getLicenses

    CitrixLicense[] getLicenses()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="false"

### setLicenses

    void setLicenses(CitrixLicense[] x)

### hasLicenses

    boolean hasLicenses()

### getPlatforms

    java.lang.String getPlatforms()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPlatforms

    void setPlatforms(java.lang.String x)

### hasPlatforms

    boolean hasPlatforms()

### getLicenseType

    java.lang.String getLicenseType()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLicenseType

    void setLicenseType(java.lang.String x)

### hasLicenseType

    boolean hasLicenseType()

### getPLDFullName

    java.lang.String getPLDFullName()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPLDFullName

    void setPLDFullName(java.lang.String x)

### hasPLDFullName

    boolean hasPLDFullName()

### getFarm

    CitrixFarm getFarm()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Owns" reverse="true"

### setFarm

    void setFarm(CitrixFarm x)

### hasFarm

    boolean hasFarm()

### getHostBased

    int getHostBased()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setHostBased

    void setHostBased(int x)

### hasHostBased

    boolean hasHostBased()

### getInUseCount

    int getInUseCount()
                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setInUseCount

    void setInUseCount(int x)

### hasInUseCount

    boolean hasInUseCount()

### getPLD

    java.lang.String getPLD()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPLD

    void setPLD(java.lang.String x)

### hasPLD

    boolean hasPLD()

### getUserBased

    int getUserBased()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setUserBased

    void setUserBased(int x)

### hasUserBased

    boolean hasUserBased()

### getHostID

    java.lang.String getHostID()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setHostID

    void setHostID(java.lang.String x)

### hasHostID

    boolean hasHostID()

### getDupGroup

    int getDupGroup()
                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDupGroup

    void setDupGroup(int x)

### hasDupGroup

    boolean hasDupGroup()

### getFloatOk

    boolean getFloatOk()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setFloatOk

    void setFloatOk(boolean x)

### hasFloatOk

    boolean hasFloatOk()

### getCount

    int getCount()
                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCount

    void setCount(int x)

### hasCount

    boolean hasCount()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD